
Redmine - Defect #19253

Repository users broken if only one committer exists

2015-03-03 12:10 - Kevin Neuenfeldt

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 3.0.1   

Resolution: Fixed Affected version: 3.0.0

Description

First thanks for the great work and the new major version.

I just updated from 2.6.1 to 3.0.0. My environment looks like the following:

Environment:

  Redmine version                3.0.0.stable

  Ruby version                   1.9.3-p484 (2013-11-22) [x86_64-linux]

  Rails version                  4.2.0

  Environment                    production

  Database adapter               PostgreSQL

 When I navigate to the repository tab of a projects settings where only one committer contributed to the repository and click on

"Users" I get the following error:

Started GET "/repositories/8/committers" for xxx at 2015-03-03 12:02:24 +0100

Processing by RepositoriesController#committers as HTML

  Parameters: {"id"=>"8"}

  Current user: xxx (id=1)

Completed 500 Internal Server Error in 18ms

NoMethodError (undefined method `compact!' for #<User::ActiveRecord_Relation:0x007f8d1586a480>):

  app/controllers/repositories_controller.rb:98:in `committers'

 This does not happen if the repository I want to configure has more than one contributor.

Associated revisions

Revision 14053 - 2015-03-07 17:21 - Jean-Philippe Lang

Fixed undefined method `compact!' error when additional_user_ids is empty (#19253).

Revision 14062 - 2015-03-08 10:44 - Jean-Philippe Lang

Merged r14053 (#19253).

History

#1 - 2015-03-03 12:25 - Toshi MARUYAMA

- Target version set to 3.0.1

#2 - 2015-03-05 00:01 - Dmitry Popov

I fixed it by adding .to_a on line 97

@users = @project.users.to_a

#3 - 2015-03-07 17:22 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
Fix committed in r14053 with a test. Thanks for pointing this out.

#4 - 2015-03-07 19:27 - Jean-Philippe Lang

- Status changed from Closed to Resolved

#5 - 2015-03-08 10:44 - Jean-Philippe Lang

- Status changed from Resolved to Closed
